/Users/bernard/b20/bsoft/include/mol_water.h(3)

NAME
/Users/bernard/b20/bsoft/include/mol_water.h - Generating and managing water.

SYNOPSIS

#include 'rwmolecule.h'
#include 'Vector3.h'
#include 'utilities.h'

  Functions
Bmolecule * mol_generate_one_water (Bmolecule **mollist, char *watername, Vector3< double > Ocoord)
Generates one water molecule at a given location.
Bmolgroup * molgroup_generate_regular_water (Vector3< double > size, int type)
Generates a block of water based on a regular lattice.
Bmolgroup * molgroup_generate_random_water (Vector3< double > size)
Generates a block of water with random placement.
Bbond * water_bond_list (Bmolgroup *molgroup)
Generates a bond list for a block of waters.
Bangle * water_angle_list (Bmolgroup *molgroup)
Generates a bond angle list for a block of waters.
int molgroup_calc_water_rdf (Bmolgroup *molgroup, double interval, double cutoff)
Calculates a radial distribution function for water molecules.

  Variables
int verbose

Detailed Description

Generating and managing water.

Author:
    Bernard Heymann

Date:
    Created: 20001014

    Modified: 20060122

Definition in file mol_water.h.

Function Documentation

  Bmolecule* mol_generate_one_water (Bmolecule ** mollist, char * watername, Vector3< double > Ocoord)

Generates one water molecule at a given location.

Parameters:
    **mollist molecule list.
    *watername molecule name.
    Ocoord oxygen coordinates.

Returns:
    Bmolecule* new water molecule.

Definition at line 26 of file mol_water.cpp.

  int molgroup_calc_water_rdf (Bmolgroup * molgroup, double interval, double cutoff)

Calculates a radial distribution function for water molecules.

Parameters:
    *molgroup molecule group.
    interval interval between bins.
    cutoff distance cutoff.

Returns:
    int 0.

Definition at line 323 of file mol_water.cpp.

  Bmolgroup* molgroup_generate_random_water (Vector3< double > size)

Generates a block of water with random placement.

The number of water molecules generated is calculated as:
    n = volume * 0.03346.

Parameters:
    size size of block.

Returns:
    Bmolgroup* new molecule group.

Definition at line 181 of file mol_water.cpp.

  Bmolgroup* molgroup_generate_regular_water (Vector3< double > size, int type)

Generates a block of water based on a regular lattice.

The number of water molecules generated is calculated as:
    n = volume * 0.03346.

Parameters:
    size size of block.
    type type of lattice, 2=rectangular, 3=tetrahedral.

Returns:
    Bmolgroup* new molecule group.

Definition at line 89 of file mol_water.cpp.

  Bangle* water_angle_list (Bmolgroup * molgroup)

Generates a bond angle list for a block of waters.

Parameters:
    *molgroup molecule group.

Returns:
    Bangle* new bond angle list.

Definition at line 291 of file mol_water.cpp.

  Bbond* water_bond_list (Bmolgroup * molgroup)

Generates a bond list for a block of waters.

Parameters:
    *molgroup molecule group.

Returns:
    Bbond* new bond list.

Definition at line 249 of file mol_water.cpp.

Variable Documentation

  int verbose

Author

Generated automatically by Doxygen for Bsoft from the source code.